Safe PHP Code Widget

Description

The usual Text widget allows you to insert arbitrary Text and/or HTML code. This allows that too, but also parses any PHP or JavaScript code in the text widget and executes it.

This plugin is based on “PHP Code Widget”, but now available for use by site administrators ONLY, which makes it more secure.

All PHP code must be enclosed in the standard php opening and closing tags ( <?php and ?> ) for it to be recognized and executed. Also JavaScript code must be enclosed in the <script> and </script> tags, as usual.

Screenshots

  • The widgets screen showing a Safe PHP Code Widget in use.
  • The output of the widget on the site.

Installation

  1. Upload safe-php-code-widget folder to the /wp-content/plugins/ directory.
  2. Activate the plugin through the ‘Plugins’ menu in WordPress.

FAQ

No questions yet – no answers yet.

Contributors & Developers

“Safe PHP Code Widget” is open source software. The following people have contributed to this plugin.

Contributors

Translate “Safe PHP Code Widget” into your language.

Interested in development?

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.

Changelog

1.0

  • First version in the repository